restore device backup.md
Restore device backup
Fleets API · Devices
POST https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/restore
Restores a backup to a specific device.
RBAC Capability Required: fleet.device.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Request body
Content type: application/json
metadata· object · Required — Resource metadata.displayName· string · Required — A human-readable name for the resource.labels· map from strings to string · Optional — A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
spec· object · Required — Device restore specificationrestoreAssetFile· boolean · Optional · Defaults to false — If the asset file should be restored or not, assuming the backup contains the asset filerestoreFilePath· string · Required · <=255 characters — The relative path to the backup file to restore to the device.
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/restore" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"metadata": {
"displayName": "string",
"labels": {
"key": "string"
}
},
"spec": {
"restoreAssetFile": false,
"restoreFilePath": "<device_name>/<backup_id>/<backup_name>.tar.gz"
}
}'
Responses
202 — The device backup was successfully restored.
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
409 — Conflict
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: fleets-api · operationId: [post]_/api/v1/projects/{project_name}/fleet/devices/{name}/restore